/**
 * Copyright (c) 2009-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.bc.sftp;

import java.util.concurrent.ConcurrentHashMap;

import org.apache.commons.pool.impl.GenericObjectPool;
import org.ow2.petals.component.framework.bc.AbstractBindingComponent;
import org.ow2.petals.component.framework.jbidescriptor.generated.Provides;
import org.ow2.petals.component.framework.su.AbstractServiceUnitManager;

/**
 * @author Mathieu CARROLLE - EBM WebSourcing
 */
public class SFTPComponent extends AbstractBindingComponent {

    /**
     * Store a pool of SFTPClient object for each service-unit
     */
    private final ConcurrentHashMap<Provides, GenericObjectPool> mapOfPool = new ConcurrentHashMap<Provides, GenericObjectPool>();

    public ConcurrentHashMap<Provides, GenericObjectPool> getMapOfPool() {
        return mapOfPool;
    }

    @Override
    protected AbstractServiceUnitManager createServiceUnitManager() {
        return new SFtpSuManager(this, this.getLogger());
    }

}
