/**
 * Copyright (c) 2011-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.bc.sftp;

import org.ow2.petals.component.framework.logger.ProvideExtFlowStepBeginLogData;

public class SftpProvideExtFlowStepBeginLogData extends ProvideExtFlowStepBeginLogData {

    private static final long serialVersionUID = 8090272439940442175L;

    public static final String PATTERNS_KEY = "patterns";
    
    public static final String FOLDER_KEY  = "folder";
    
    public SftpProvideExtFlowStepBeginLogData(String flowInstanceId, String flowStepId,
            String destDirName) {
        super(flowInstanceId, flowStepId);
        putData(FOLDER_KEY, destDirName);
    }
    
    public SftpProvideExtFlowStepBeginLogData(String flowInstanceId, String flowStepId,
            String patterns, String destDirName) {
        super(flowInstanceId, flowStepId);
        putData(PATTERNS_KEY, patterns);
        putData(FOLDER_KEY, destDirName);
    }
}
